version: "2.1"
services:

  # zookeeper:
  #   image: wurstmeister/zookeeper:latest
  #   container_name: zookeeper
  #   expose:
  #     - "2181"
  #   volumes:
  #     - kafka_zookeeper:/opt/zookeeper-3.4.13/data

  # kafka1:
  #   image: wurstmeister/kafka:2.12-2.4.1
  #   container_name: kafka1
  #   command: [start-kafka.sh]
  #   expose:
  #     - "8080"
  #     - "9092"
  #   environment:
  #     KAFKA_BROKER_ID: 1
  #     KAFKA_ZOOKEEPER_CONNECT: zookeeper:2181
  #     KAFKA_LISTENERS : PLAINTEXT://0.0.0.0:9092
  #     KAFKA_ADVERTISED_LISTENERS: PLAINTEXT://kafka1:9092
  #     # KAFKA_LISTENER_SECURITY_PROTOCOL_MAP: PLAINTEXT:PLAINTEXT,PLAINTEXT_HOST:PLAINTEXT
  #     KAFKA_INTER_BROKER_LISTENER_NAME: PLAINTEXT
  #     KAFKA_OFFSETS_TOPIC_REPLICATION_FACTOR: 1
  #     KAFKA_DEFAULT_REPLICATION_FACTOR : 1
  #   volumes:
  #     - kafka_kafka1:/opt/kafka_2.12-2.4.1/logs
  #   depends_on:
  #     - zookeeper

  # kafka2:
  #   image: wurstmeister/kafka:2.12-2.4.1
  #   container_name: kafka2
  #   command: [start-kafka.sh]
  #   expose:
  #     - "8080"
  #     - "9092"
  #   environment:
  #     KAFKA_BROKER_ID: 2
  #     KAFKA_ZOOKEEPER_CONNECT: zookeeper:2181
  #     KAFKA_LISTENERS : PLAINTEXT://0.0.0.0:9092
  #     KAFKA_ADVERTISED_LISTENERS: PLAINTEXT://kafka2:9092
  #     # KAFKA_LISTENER_SECURITY_PROTOCOL_MAP: PLAINTEXT:PLAINTEXT,PLAINTEXT_HOST:PLAINTEXT
  #     KAFKA_INTER_BROKER_LISTENER_NAME: PLAINTEXT
  #     KAFKA_OFFSETS_TOPIC_REPLICATION_FACTOR: 1
  #     KAFKA_DEFAULT_REPLICATION_FACTOR : 1

  #   volumes:
  #     - kafka_kafka2:/opt/kafka_2.12-2.4.1/logs
  #   depends_on:
  #     - zookeeper


  nifi:
    image:  apache/nifi:1.12.1
    container_name: apache_nifi
    ports:
      - "8080:8080"
      # - "1010:1000"
      # - "8010:8000"
    expose:
      - "8080"
      - "8443"
      - "8000"
      - "10000"
    volumes:
      - ./nifi/workspace:/home/nifi/workspace
      # - ./nifi/state:/opt/nifi/nifi-current/state
      # - ./nifi/db:/opt/nifi/nifi-current/database_repository
      # - ./nifi/flowfile:/opt/nifi/nifi-current/flowfile_repository
      # - ./nifi/content:/opt/nifi/nifi-current/content_repository
      # - ./nifi/provenance:/opt/nifi/nifi-current/provenance_repository
      # - ./nifi/logs:/opt/nifi/nifi-current/logs
      # - ./nifi/extensions:/opt/nifi/nifi-current/extensions
      # - ./nifi/conf:/opt/nifi/nifi-current/conf

  
  # elasticsearch:
  #   image: nshou/elasticsearch-kibana
  #   ports:
  #     - 9200:9200
  #     - 9300:9300
  #     - 5601:5601



volumes:
  kafka_zookeeper:
  kafka_kafka1:
  kafka_kafka2:

